%bcond_without check

%global goipath         github.com/cespare/xxhash
Version:                2.1.2

%gometa

%global goaltipaths     github.com/cespare/xxhash/v2

%global common_description %{expand:
xxhash is a Go implementation of the 64-bit xxHash algorithm, XXH64. This is a
high-quality hashing algorithm that is much faster than anything in the Go
standard library.}

%global golicenses      LICENSE.txt
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        A Go implementation of the 64-bit xxHash algorithm (XXH64)

License:        MIT
URL:            %{gourl}
Source0:         %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%build
for cmd in xxhsum; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE.txt
%doc README.md
%{_bindir}/xxhsum

%gopkgfiles

%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.2-1
- initial build
